<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>celGenericParameterBlock Class Reference (CEL: Crystal Entity Layer 2.0 Public API Reference)</title>
<link href="tabs.css" rel="stylesheet" type="text/css">
<link href="doxygen.css" rel="stylesheet" type="text/css">
</head><body>
<table border="0" cellpadding="0" cellspacing="0" width="100%" class="head">
 <tr height="59">
  <td class="head" width="202" valign="bottom" style="padding-left:0;"><a href="http://cel.crystalspace3d.org/"><img src="celblur.png" width="210" height="59" alt="CEL" border="0"></a></td>
  <td class="head"><h2>Public API Reference</h2></td>
 </tr>
 <tr height="11">
  <td colspan="2" class="headshadow" valign="top" style="padding-left:0;"><img src="celshadow.png" width="9" height="11" alt="" border="0"></td>
 </tr>
</table>
<div class="content">
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="headertitle">
<div class="title">celGenericParameterBlock Class Reference</div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="celGenericParameterBlock" --><!-- doxytag: inherits="scfImplementation1&lt; celGenericParameterBlock, iCelParameterBlock &gt;" -->
<p>Generic parameter block implementation.  
 <a href="classcelGenericParameterBlock.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="stdparams_8h_source.html">celtool/stdparams.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for celGenericParameterBlock:</div>
<div class="dyncontent">
 <div class="center">
  <img src="classcelGenericParameterBlock.png" usemap="#celGenericParameterBlock_map" alt=""/>
  <map id="celGenericParameterBlock_map" name="celGenericParameterBlock_map">
<area doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classscfImplementation1.html" alt="scfImplementation1&lt; celGenericParameterBlock, iCelParameterBlock &gt;" shape="rect" coords="423,112,836,136"/>
<area doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classscfImplementation.html" alt="scfImplementation&lt; Class &gt;" shape="rect" coords="423,56,836,80"/>
<area doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html" alt="iBase" shape="rect" coords="0,0,413,24"/>
<area doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classscfImplementationHelper.html" alt="scfImplementationHelper" shape="rect" coords="423,0,836,24"/>
<area doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classCS_1_1Memory_1_1CustomAllocated.html" alt="CS::Memory::CustomAllocated" shape="rect" coords="846,0,1259,24"/>
</map>
 </div></div>

<p><a href="classcelGenericParameterBlock-members.html">List of all members.</a></p>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><p>Generic parameter block implementation. </p>

<p>Definition at line <a class="el" href="stdparams_8h_source.html#l00111">111</a> of file <a class="el" href="stdparams_8h_source.html">stdparams.h</a>.</p>
</div><hr/>The documentation for this class was generated from the following file:<ul>
<li>celtool/<a class="el" href="stdparams_8h_source.html">stdparams.h</a></li>
</ul>
</div><!-- contents -->
<hr size="1"><address><small>Generated for CEL: Crystal Entity Layer 2.0 by 
<a href="http://www.doxygen.org/index.html">doxygen</a> 1.7.6.1 
</small></address> </div></body> </html>
